%define ALD_Ver		1.2.4

Name:         YAML

License:      GPL
Summary:      Perl YAML dumper classes
Group:        Development/Languages/Perl
Version:      1.23
Release:      0
Url: http://www.cpan.org/src/

Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch

%define PerlVer		5.12.4
%define DestDir		/Compiler/perl-%{PerlVer}

%define _prefix /opt/perl
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define ArchName %{_arch}-%{_os}


%define BUILD_TAR 1
# ------------------- description ------------------------------------
%description
Perl YAML dumper classes
# --------------------------------------
%package pod-doc
Summary:      pod-doc for %{name}
Group:        Documentation
%description pod-doc
pod-doc for %{name}
# --------------------------------------
%package man
Summary:      man for %{name}
Group:        Documentation
%description man
man for %{name}

# ------------------- setup ------------------------------------------
%Prep
%setup -q

# ------------------- Build ------------------------------------------
%Build
PATH=$PATH:/opt/perl/bin
export PATH

perl Makefile.PL

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}

make DESTDIR=$RPM_BUILD_ROOT install \
	&>Finstall_log.txt

rm -r $RPM_BUILD_ROOT%{_prefix}/lib/%{PerlVer}
rm -r $RPM_BUILD_ROOT%{_prefix}/lib/site_perl/%{PerlVer}/%{ArchName}-thread-multi


find $RPM_BUILD_ROOT -type f -name '*.bs' -empty | xargs rm -f 

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver} $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean 
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}
  mv %{name}-* %{ALD_Ver}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r opt $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/Dumper/*.pm
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/Loader/*.pm
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/*.pm
%{_prefix}/lib/site_perl/%{PerlVer}/YAML.pm

%files pod-doc
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/Dumper/*.pod
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/Loader/*.pod
%{_prefix}/lib/site_perl/%{PerlVer}/YAML/*.pod
%{_prefix}/lib/site_perl/%{PerlVer}/YAML.pod

%files man
/opt/perl/man
